{{/*  {{< credit 0/name:"person or org name" 1/url:"credit-url" >}}  */}}
<div class='credit'>
	{{- $credit := "Credit to" -}}
	{{- if .IsNamedParams -}}
		{{ if isset .Params "name" }}
			{{- $credit }}{{ .Get "name" -}}
		{{ else if isset .Params "url" }}
			{{- $label := urls.Parse .Get "url" -}}
			{{- $credit }}
			<a href='{{- .Get "url" -}}' target='_blank'>
				{{- $label.Host -}}
			</a>
		{{ else if and (isset .Params "name") (isset .Params "url") }}
			{{- $credit }}
			<a href='{{- .Get "url" -}}' target='_blank'>
				{{ .Get "name" -}}
			</a>
		{{ end }}
	{{- else -}}
		{{- $credit }}
		<a href='{{- .Get 1 -}}' target='_blank'>
			{{- .Get 0 -}}
		</a>
	{{- end -}}
</div>